## org.apache.taglibs.standard.tag.common.core
Class DeclareTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.core.DeclareTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class DeclareTag

extends TagSupport

Tag handler for <declaregt; in JSTL. This tag handler is essentially a runtime no-op as far as tag logic is concerned; the only important functionality of the tag is to expose a scripting variable for an existing scoped attribute.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DeclareTag()`

Method Summary
`void` `setType(String x)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeclareTag

    public DeclareTag()

Method Detail

### setType

    public void setType(String x)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.